Package csb :: Package statistics :: Package samplers :: Package mc

[frames] | no frames]

# Package mc

source code

Abstract Monte Carlo samplers.

Submodules

- csb.statistics.samplers.mc.multichain: Implements several extended-ensemble Monte Carlo sampling algorithms.
- csb.statistics.samplers.mc.neqsteppropagator: Propagator class employing stepwise trajectories as used in the NCMC algorithm (Nilmeier et al., "Nonequilibrium candidate Monte Carlo is an efficient tool for equilibrium simulation", PNAS 2011)
- csb.statistics.samplers.mc.propagators: Provides various deterministic and stochastic propagators.
- csb.statistics.samplers.mc.singlechain: Various Monte Carlo equilibrium sampling algorithms, which simulate only one Markov chain.

Classes
| AbstractMC Abstract Monte Carlo sampler class.
| AbstractPropagationResult Abstract class providing the interface for the result of a deterministic or stochastic propagation of a state.
| MCCollection Collection of single-chain samplers.
| PropagationResult Describes the result of a deterministic or stochastic propagation of a state.
| ShortTrajectoryBuilder
| Trajectory Ordered collection of states, representing a phase-space trajectory.
| TrajectoryBuilder Allows to build a Trajectory object step by step.

Functions

State

augment_state(state, temperature=1.0, mass_matrix=None) Augments a state with only positions given by momenta drawn from the Maxwell-Boltzmann distribution. | source code

Variables
| __package__ = ``'``csb.statistics.samplers.mc``'``

Function Details

### augment_state(state, temperature=1.0, mass_matrix=None)

source code

Augments a state with only positions given by momenta drawn from the Maxwell-Boltzmann distribution.

Parameters:
  - `state` (State) - State to be augmented
  - `temperature` (float) - Temperature of the desired Maxwell-Boltzmann distribution
  - `mass_matrix` (InvertibleMatrix) - Mass matrix to be used in the Maxwell-Boltzmann distribution; None defaults to a unity matrix
Returns: State
  The initial state augmented with momenta